---
title: PushManager.hasPermission()
slug: Web/API/PushManager/hasPermission
tags:
  - API
  - Deprecated
  - Method
  - PushManager
  - Reference
---
<div>{{deprecated_header}}{{ApiRef("Push API")}}</div>

<p>The <strong><code>PushManager.hasPermission()</code></strong> method of the {{domxref("PushManager")}} interface returns a {{jsxref("Promise")}} that resolves to the <code>PushPermissionStatus</code> of the requesting webapp, which will be one of <code>granted</code>, <code>denied</code>, or <code>default</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">PushManager.hasPermission().then(function(pushPermissionStatus) { ... } );</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Defines the <code>PushManager</code> interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>
<div>

<p>{{Compat("api.PushManager.hasPermission")}}</p>
</div>
</div>
